> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Retrieve the end-of-lab score report for a lab instance
> The **GetScoreReport** command retrieves the end-of-lab score report for a specified lab instance.
## OpenAPI
````json POST /GetScoreReport
{
"openapi": "3.0.3",
"info": {
"title": "Lab API",
"description": "# Introduction \nWelcome to Skillable Connect: LAB Edition, our core platform for creating, customizing, and managing labs. \n\n## Skillable Production API & Integration Testing\nOnly lab profiles with a development status of **Complete** are consumable via API.\n\nDevelopment/Integration Testing API available with all the same API calls your production API can make, but has the following settings:\n\n- Max Active Lab Instances: 5\n- Max Saved Labs per User: 1\n- Max Active Lab Instances per user: 5\n- Max lab duration: 30 minutes\n- Allows launching of lab profiles with any Development Status (i.e. is not restricted to a Complete development status)\n- Has a dedicated API key\n- Does not generate billable events\n\n## Authenticate with API Key\nSkillable APIs offer one form of authentication: an API Key. All methods require an API Key, which must be obtained from a Skillable team member working with your organization. Our systems use this key to validate your development account. \n\nPass your API Key as an HTTP request header with the header name \"api_key\".\n\n\n\n",
"termsOfService": "https://skillable.com/terms-and-conditions/",
"contact": {
"name": "Skillable Support",
"email": "support@skillable.com",
"url": "https://skillable.com/customer-support/"
},
"x-logo": {
"url": "https://raw.githubusercontent.com/LearnOnDemandSystems/ConnectAPI/main/Skillable%20Connect%20Logo.svg",
"altText": "Skillable Connect"
},
"license": {
"name": "Apache 2.0",
"url": "http://www.apache.org/licenses/LICENSE-2.0.html"
},
"version": "3.0"
},
"servers": [
{
"url": "https://labondemand.com/api/v3",
"description": "Skillable Connect LAB API"
}
],
"security": [
{
"api_key": []
}
],
"tags": [
{
"name": "Lab Instance Management",
"description": "The Lab Instance Management group of API commands allows interacting with lab instances. This includes but is not limited to the following actions: \n* [Launch a lab](https://connect.skillable.com/lab/operation/Launch/) \n* [Cancel a lab](https://connect.skillable.com/lab/operation/Cancel/)\n* [Save a lab](https://connect.skillable.com/lab/operation/Save/) \n* [Resuming a lab](https://connect.skillable.com/lab/operation/Resume/) \n* [Initiate scoring of activities in a lab](https://connect.skillable.com/lab/operation/ScoreActivities/) \n* [Send notifications to a lab](https://connect.skillable.com/lab/operation/SendNotification-post/) \n* [Retrieve information about lab instances](https://connect.skillable.com/lab/operation/Results/)"
},
{
"name": "Lab Profile Management",
"description": "The Lab Profile Management group of API commands allows for managing instructions and retrieving information about Lab Profiles within Skillable Studio. \n* [Retrieve information about a specific lab profile](https://connect.skillable.com/lab/operation/LabProfile/) \n* [Retrieve lab instructions for a specific lab](https://connect.skillable.com/lab/operation/LabProfile/) \n* [Download instructions in a zip file for a specific lab](https://connect.skillable.com/lab/operation/GetLabInstructionsPackage/) \n* [Update lab instructions for a specific lab profile using an HTTP post](https://connect.skillable.com/lab/operation/UpdateLabInstructions/) \n* [Update lab instructions for a specific lab by uploading a zip file](https://connect.skillable.com/lab/operation/UpdateLabInstructionsPackage/) "
},
{
"name": "Class Management",
"description": "The Class Management group of API commands allows for the creation, management, access, and monitoring of classes within Skillable Studio. \n* [Retrieve information about a class in Skillable Studio](https://connect.skillable.com/lab/operation/Class/) \n* [Retrieve information about an existing class, if the class does not exist, it will be created](https://connect.skillable.com/lab/operation/GetOrCreateClass/) \n* [Return a single access URL to access a class management page](https://connect.skillable.com/lab/operation/ClassAccessUrl/) \n* [Return a single use URL to monitor a lab instance](https://connect.skillable.com/lab/operation/LabMonitorUrl/) \n* [Return a single use URL to access a lab instance](https://connect.skillable.com/lab/operation/LabAccessUrl/) \n* [Update a specific class](https://connect.skillable.com/lab/operation/UpdateClass/) \n* [Delete a specific class](https://connect.skillable.com/lab/operation/DeleteClass/) "
},
{
"name": "User Management",
"description": "The User Management group of API commands are used to administer user accounts within Skillable Studio.\n* [Return information about saved or running labs for a specific user account](https://connect.skillable.com/lab/operation/UserRunningAndSavedLabs/) \n* [Close a user account and remove all associated user information](https://connect.skillable.com/lab/operation/CloseUserAccount/) "
},
{
"name": "Event Management",
"description": "The Event Management group of API commands allows for launching lab profiles for events and retrieving evaluation responses.\n* [Launch a lab within an event](https://connect.skillable.com/lab/operation/LaunchforEvent/) \n* [Launch a lab within an event, using an external ID](https://connect.skillable.com/lab/operation/LaunchforEventByExternalId/) \n* [Retrieve evaluation data for a specified event](https://connect.skillable.com/lab/operation/GetEvaluationResponsesForEvent/) "
},
{
"name": "Organization",
"description": "Organizational API commands provide the ability to return information about lab profiles, lab series, and delivery regions available to your organization in Skillable Studio.\n* [Retrieve information about lab profiles, lab series, and delivery regions available to your organization](https://connect.skillable.com/lab/operation/Catalog/) \n* [Retrieve information about delivery regions that are available to your organization](https://connect.skillable.com/lab/operation/DeliveryRegions/) "
}
],
"paths": {
"/GetScoreReport": {
"post": {
"summary": "Retrieve the end-of-lab score report for a lab instance",
"description": "The **GetScoreReport** command retrieves the end-of-lab score report for a specified lab instance.",
"operationId": "GetScoreReport",
"x-stoplight": {
"id": "d7yk49jslgqvz"
},
"tags": [
"Lab Instance Management"
],
"parameters": [
{
"in": "query",
"name": "labinstanceid",
"required": true,
"description": "The unique identifier of the lab instance.",
"schema": {
"type": "integer",
"format": "int64",
"example": 12345
}
},
{
"in": "query",
"name": "format",
"required": false,
"description": "The format in which to return the score report. Supported values are `html` and `gzip`. If omitted, the response defaults to `html`.",
"schema": {
"type": "string",
"enum": [
"html",
"gzip"
],
"default": "html",
"example": "html"
}
}
],
"responses": {
"200": {
"description": "OK. The score report is returned in the requested format.",
"headers": {
"Content-Disposition": {
"description": "Returned only when `format` is `gzip`. Identifies the response as a file download named `{labinstanceid}-ScoreReport.html.gz`.",
"schema": {
"type": "string",
"example": "attachment; filename=66506663-ScoreReport.html.gz; filename*=UTF-8''66506663-ScoreReport.html.gz"
}
}
},
"content": {
"text/html": {
"schema": {
"type": "string",
"description": "The end-of-lab score report as an HTML document."
},
"example": "\n
Detailed Score Report...\n \n Example Lab Name
\n Congratulations, you passed!
\n ...\n \n\n"
},
"application/gzip": {
"schema": {
"type": "string",
"format": "binary",
"description": "The end-of-lab score report as a gzip-compressed HTML file. When decompressed, the file contains the same HTML document returned by the `html` format."
}
}
}
}
}
}
}
},
"components": {
"securitySchemes": {
"api_key": {
"name": "api_key",
"type": "apiKey",
"in": "header",
"description": "All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name \"api_key\"."
}
}
}
}
````